/*****************************************************************************
 *
 * Testmanager - Graphical Automation and Visualisation Tool
 *
 * Copyright (C) 2019-2023  Florian Pose <fp@igh.de>
 *
 * This file is part of Testmanager.
 *
 * Testmanager is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * Testmanager is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Testmanager. If not, see <http://www.gnu.org/licenses/>.
 *
 ****************************************************************************/

#ifndef TABLEVIEWPLUGINPRIVATE_H
#define TABLEVIEWPLUGINPRIVATE_H

#include <QtPdCom1/TableColumn.h>
#include <QtPdCom1/TableModel.h>

#include <QDebug>

/****************************************************************************/

struct TableViewPluginPrivate
{
        QtPdCom::TableModel *model;
        QList<QtPdCom::TableColumn *> columns;

        TableViewPluginPrivate();
        ~TableViewPluginPrivate();

        void clearColumns();
};

/****************************************************************************/

#endif
